Summary:	K-3D open-source 3D modeling, animation and rendering system
Name:		k3d
Version:	0.8.0.2
%global subrel 1
Release:	%mkrel 10
License:	GPLv2+
Group:		Graphics/3D
# https://github.com/K-3D/k3d
URL:		http://www.k-3d.org
# https://github.com/K-3D/k3d/releases
Source0:	%{name}-source-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch1:		%{name}-0.8.0.1-libdl.patch
Patch2:		%{name}-%{version}-gtkmm224.patch
Patch3:		%{name}-%{version}-gcc-4.6.diff
Patch4:		%{name}-%{version}-lib64.patch
Patch5:		%{name}-source-%{version}_libpng15.patch
Patch6:		%{name}-%{version}-gcc-4.7.patch

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(gts)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(python)
# We need "uuid-devel" instead of pkgconfig(uuid) here because:
# <<
# For k3d, try changing the BR pkgconfig(uuid) to uuid-devel.  Unfortunately,
# there's some ossp_uuid thing that also provides pkgconfig(uuid) that might
# be messing it up.
# >>
# -- https://bugs.mageia.org/show_bug.cgi?id=18598#c26
BuildRequires:	uuid-devel
%ifarch x86_64
BuildRequires:	chrpath
%endif
Requires:	yafray
Requires:	povray
Requires:	aqsis

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering
system for GNU/Linux, Posix, and Win32 operating systems. K-3D features a
robust, object-oriented plugin architecture, designed to scale to the needs of
professional artists, and is designed from-the-ground-up to generate
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary:	K-3D development headers
Group:		Development/C++
Requires:	%{name} = %{version}

%description devel
Development libraries needed to develop new k3d plugins.

%prep
%setup -qn %{name}-source-%{version}
%apply_patches

%build
export CXXFLAGS+="-ffunction-sections"
%cmake \
    -DK3D_BUILD_GTS_MODULE:BOOL=ON

LD_LIBRARY_PATH=%{_builddir}/k3d-source-%{version}/build/lib:%{_builddir}/k3d-source-%{version}/build/%{_lib}:$LD_LIBRARY_PATH \
      make
#parallel build is broken for 0.8.0.2

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/%{name}*
%{_libdir}/lib%{name}*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/documents
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/geometry
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/logo
%{_datadir}/%{name}/lsystem
%{_datadir}/%{name}/ngui
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/shaders
%{_datadir}/%{name}/textures
%{_datadir}/%{name}/*.%{name}
%exclude %{_datadir}/%{name}/shaders/*.h
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_datadir}/%{name}/locale/chef/LC_MESSAGES/%{name}.mo

%files devel
%{_libdir}/lib%{name}*.so
%{_libdir}/%{name}/include
%{_includedir}/%{name}
%{_datadir}/%{name}/shaders/*.h


%changelog
* Wed Jun 22 2016 shlomif <shlomif> 0.8.0.2-10.1.mga5
+ Revision: 1037187
- Rebuild for the new libMagick++

* Thu Feb 19 2015 anaselli <anaselli> 0.8.0.2-10.mga5
+ Revision: 815935
- fixed build failure

* Wed Jan 07 2015 alexl <alexl> 0.8.0.2-9.mga5
+ Revision: 808951
- updated desktop file

* Wed Nov 12 2014 alexl <alexl> 0.8.0.2-8.mga5
+ Revision: 796586
- fixed icon in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0.2-7.mga5
+ Revision: 739192
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 alexl <alexl> 0.8.0.2-6.mga5
+ Revision: 731422
- fixed requires-on-release

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0.2-5.mga5
+ Revision: 680910
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 0.8.0.2-4.mga5
+ Revision: 666996
- rebuild for ilmbase and OpenEXR

* Sat Aug 23 2014 fwang <fwang> 0.8.0.2-3.mga5
+ Revision: 666783
- rebuild for imagemagick

  + alexl <alexl>
    - added GenericName
    - translated desktop file

* Thu May 01 2014 luigiwalser <luigiwalser> 0.8.0.2-2.mga5
+ Revision: 619153
- rebuild for ilmbase

* Tue Apr 15 2014 alexl <alexl> 0.8.0.2-1.mga5
+ Revision: 615159
- imported package k3d

